# Generated by Django 3.1 on 2020-12-05 16:53

import apps.utilisateur.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_extensions.db.fields


class Migration(migrations.Migration):

    dependencies = [
        ('utilisateur', '0005_cotisationgroupe'),
    ]

    operations = [
        migrations.AlterModelManagers(
            name='utilisateur',
            managers=[
                ('objects', apps.utilisateur.models.UtilisateurManager()),
            ],
        ),
        migrations.AddField(
            model_name='utilisateur',
            name='has_read_cgu',
            field=models.BooleanField(default=False, verbose_name="Si l'utilisateur a accepté les CGU sur la période courante"),
        ),
        migrations.CreateModel(
            name='AcceptationCGU',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', django_extensions.db.fields.CreationDateTimeField(auto_now_add=True, verbose_name='created')),
                ('modified', django_extensions.db.fields.ModificationDateTimeField(auto_now=True, verbose_name='modified')),
                ('has_accepted_cookies', models.BooleanField(default=False, verbose_name='A accepté les cookies ?')),
                ('utilisateur', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='acceptationCGU', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'get_latest_by': 'modified',
                'abstract': False,
            },
        ),
    ]
